Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network1.224.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
1.224.0.0
Broadcast address
1.239.255.255
First usable
1.224.0.1
Last usable
1.239.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
A (default /8)
As numbers
Hex 01E00000 · Integer 31457280 to 32505855
Reverse DNS zones
224.1.in-addr.arpa
225.1.in-addr.arpa
226.1.in-addr.arpa
227.1.in-addr.arpa
228.1.in-addr.arpa
229.1.in-addr.arpa
230.1.in-addr.arpa
231.1.in-addr.arpa
232.1.in-addr.arpa
233.1.in-addr.arpa
234.1.in-addr.arpa
235.1.in-addr.arpa
236.1.in-addr.arpa
237.1.in-addr.arpa
238.1.in-addr.arpa
239.1.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000001.11100000.00000000.000000001.224.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network00000001.11100000.00000000.000000001.224.0.0
Broadcast00000001.11101111.11111111.111111111.239.255.255
Split into smaller subnets/19

1.224.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
11.224.0.0/191.224.0.1 to 1.224.31.2541.224.31.2558,190
21.224.32.0/191.224.32.1 to 1.224.63.2541.224.63.2558,190
31.224.64.0/191.224.64.1 to 1.224.95.2541.224.95.2558,190
41.224.96.0/191.224.96.1 to 1.224.127.2541.224.127.2558,190
51.224.128.0/191.224.128.1 to 1.224.159.2541.224.159.2558,190
61.224.160.0/191.224.160.1 to 1.224.191.2541.224.191.2558,190
71.224.192.0/191.224.192.1 to 1.224.223.2541.224.223.2558,190
81.224.224.0/191.224.224.1 to 1.224.255.2541.224.255.2558,190
91.225.0.0/191.225.0.1 to 1.225.31.2541.225.31.2558,190
101.225.32.0/191.225.32.1 to 1.225.63.2541.225.63.2558,190
111.225.64.0/191.225.64.1 to 1.225.95.2541.225.95.2558,190
121.225.96.0/191.225.96.1 to 1.225.127.2541.225.127.2558,190
131.225.128.0/191.225.128.1 to 1.225.159.2541.225.159.2558,190
141.225.160.0/191.225.160.1 to 1.225.191.2541.225.191.2558,190
151.225.192.0/191.225.192.1 to 1.225.223.2541.225.223.2558,190
161.225.224.0/191.225.224.1 to 1.225.255.2541.225.255.2558,190
171.226.0.0/191.226.0.1 to 1.226.31.2541.226.31.2558,190
181.226.32.0/191.226.32.1 to 1.226.63.2541.226.63.2558,190
191.226.64.0/191.226.64.1 to 1.226.95.2541.226.95.2558,190
201.226.96.0/191.226.96.1 to 1.226.127.2541.226.127.2558,190
211.226.128.0/191.226.128.1 to 1.226.159.2541.226.159.2558,190
221.226.160.0/191.226.160.1 to 1.226.191.2541.226.191.2558,190
231.226.192.0/191.226.192.1 to 1.226.223.2541.226.223.2558,190
241.226.224.0/191.226.224.1 to 1.226.255.2541.226.255.2558,190
251.227.0.0/191.227.0.1 to 1.227.31.2541.227.31.2558,190
261.227.32.0/191.227.32.1 to 1.227.63.2541.227.63.2558,190
271.227.64.0/191.227.64.1 to 1.227.95.2541.227.95.2558,190
281.227.96.0/191.227.96.1 to 1.227.127.2541.227.127.2558,190
291.227.128.0/191.227.128.1 to 1.227.159.2541.227.159.2558,190
301.227.160.0/191.227.160.1 to 1.227.191.2541.227.191.2558,190
311.227.192.0/191.227.192.1 to 1.227.223.2541.227.223.2558,190
321.227.224.0/191.227.224.1 to 1.227.255.2541.227.255.2558,190
331.228.0.0/191.228.0.1 to 1.228.31.2541.228.31.2558,190
341.228.32.0/191.228.32.1 to 1.228.63.2541.228.63.2558,190
351.228.64.0/191.228.64.1 to 1.228.95.2541.228.95.2558,190
361.228.96.0/191.228.96.1 to 1.228.127.2541.228.127.2558,190
371.228.128.0/191.228.128.1 to 1.228.159.2541.228.159.2558,190
381.228.160.0/191.228.160.1 to 1.228.191.2541.228.191.2558,190
391.228.192.0/191.228.192.1 to 1.228.223.2541.228.223.2558,190
401.228.224.0/191.228.224.1 to 1.228.255.2541.228.255.2558,190
411.229.0.0/191.229.0.1 to 1.229.31.2541.229.31.2558,190
421.229.32.0/191.229.32.1 to 1.229.63.2541.229.63.2558,190
431.229.64.0/191.229.64.1 to 1.229.95.2541.229.95.2558,190
441.229.96.0/191.229.96.1 to 1.229.127.2541.229.127.2558,190
451.229.128.0/191.229.128.1 to 1.229.159.2541.229.159.2558,190
461.229.160.0/191.229.160.1 to 1.229.191.2541.229.191.2558,190
471.229.192.0/191.229.192.1 to 1.229.223.2541.229.223.2558,190
481.229.224.0/191.229.224.1 to 1.229.255.2541.229.255.2558,190
491.230.0.0/191.230.0.1 to 1.230.31.2541.230.31.2558,190
501.230.32.0/191.230.32.1 to 1.230.63.2541.230.63.2558,190
511.230.64.0/191.230.64.1 to 1.230.95.2541.230.95.2558,190
521.230.96.0/191.230.96.1 to 1.230.127.2541.230.127.2558,190
531.230.128.0/191.230.128.1 to 1.230.159.2541.230.159.2558,190
541.230.160.0/191.230.160.1 to 1.230.191.2541.230.191.2558,190
551.230.192.0/191.230.192.1 to 1.230.223.2541.230.223.2558,190
561.230.224.0/191.230.224.1 to 1.230.255.2541.230.255.2558,190
571.231.0.0/191.231.0.1 to 1.231.31.2541.231.31.2558,190
581.231.32.0/191.231.32.1 to 1.231.63.2541.231.63.2558,190
591.231.64.0/191.231.64.1 to 1.231.95.2541.231.95.2558,190
601.231.96.0/191.231.96.1 to 1.231.127.2541.231.127.2558,190
611.231.128.0/191.231.128.1 to 1.231.159.2541.231.159.2558,190
621.231.160.0/191.231.160.1 to 1.231.191.2541.231.191.2558,190
631.231.192.0/191.231.192.1 to 1.231.223.2541.231.223.2558,190
641.231.224.0/191.231.224.1 to 1.231.255.2541.231.255.2558,190
651.232.0.0/191.232.0.1 to 1.232.31.2541.232.31.2558,190
661.232.32.0/191.232.32.1 to 1.232.63.2541.232.63.2558,190
671.232.64.0/191.232.64.1 to 1.232.95.2541.232.95.2558,190
681.232.96.0/191.232.96.1 to 1.232.127.2541.232.127.2558,190
691.232.128.0/191.232.128.1 to 1.232.159.2541.232.159.2558,190
701.232.160.0/191.232.160.1 to 1.232.191.2541.232.191.2558,190
711.232.192.0/191.232.192.1 to 1.232.223.2541.232.223.2558,190
721.232.224.0/191.232.224.1 to 1.232.255.2541.232.255.2558,190
731.233.0.0/191.233.0.1 to 1.233.31.2541.233.31.2558,190
741.233.32.0/191.233.32.1 to 1.233.63.2541.233.63.2558,190
751.233.64.0/191.233.64.1 to 1.233.95.2541.233.95.2558,190
761.233.96.0/191.233.96.1 to 1.233.127.2541.233.127.2558,190
771.233.128.0/191.233.128.1 to 1.233.159.2541.233.159.2558,190
781.233.160.0/191.233.160.1 to 1.233.191.2541.233.191.2558,190
791.233.192.0/191.233.192.1 to 1.233.223.2541.233.223.2558,190
801.233.224.0/191.233.224.1 to 1.233.255.2541.233.255.2558,190
811.234.0.0/191.234.0.1 to 1.234.31.2541.234.31.2558,190
821.234.32.0/191.234.32.1 to 1.234.63.2541.234.63.2558,190
831.234.64.0/191.234.64.1 to 1.234.95.2541.234.95.2558,190
841.234.96.0/191.234.96.1 to 1.234.127.2541.234.127.2558,190
851.234.128.0/191.234.128.1 to 1.234.159.2541.234.159.2558,190
861.234.160.0/191.234.160.1 to 1.234.191.2541.234.191.2558,190
871.234.192.0/191.234.192.1 to 1.234.223.2541.234.223.2558,190
881.234.224.0/191.234.224.1 to 1.234.255.2541.234.255.2558,190
891.235.0.0/191.235.0.1 to 1.235.31.2541.235.31.2558,190
901.235.32.0/191.235.32.1 to 1.235.63.2541.235.63.2558,190
911.235.64.0/191.235.64.1 to 1.235.95.2541.235.95.2558,190
921.235.96.0/191.235.96.1 to 1.235.127.2541.235.127.2558,190
931.235.128.0/191.235.128.1 to 1.235.159.2541.235.159.2558,190
941.235.160.0/191.235.160.1 to 1.235.191.2541.235.191.2558,190
951.235.192.0/191.235.192.1 to 1.235.223.2541.235.223.2558,190
961.235.224.0/191.235.224.1 to 1.235.255.2541.235.255.2558,190
971.236.0.0/191.236.0.1 to 1.236.31.2541.236.31.2558,190
981.236.32.0/191.236.32.1 to 1.236.63.2541.236.63.2558,190
991.236.64.0/191.236.64.1 to 1.236.95.2541.236.95.2558,190
1001.236.96.0/191.236.96.1 to 1.236.127.2541.236.127.2558,190
1011.236.128.0/191.236.128.1 to 1.236.159.2541.236.159.2558,190
1021.236.160.0/191.236.160.1 to 1.236.191.2541.236.191.2558,190
1031.236.192.0/191.236.192.1 to 1.236.223.2541.236.223.2558,190
1041.236.224.0/191.236.224.1 to 1.236.255.2541.236.255.2558,190
1051.237.0.0/191.237.0.1 to 1.237.31.2541.237.31.2558,190
1061.237.32.0/191.237.32.1 to 1.237.63.2541.237.63.2558,190
1071.237.64.0/191.237.64.1 to 1.237.95.2541.237.95.2558,190
1081.237.96.0/191.237.96.1 to 1.237.127.2541.237.127.2558,190
1091.237.128.0/191.237.128.1 to 1.237.159.2541.237.159.2558,190
1101.237.160.0/191.237.160.1 to 1.237.191.2541.237.191.2558,190
1111.237.192.0/191.237.192.1 to 1.237.223.2541.237.223.2558,190
1121.237.224.0/191.237.224.1 to 1.237.255.2541.237.255.2558,190
1131.238.0.0/191.238.0.1 to 1.238.31.2541.238.31.2558,190
1141.238.32.0/191.238.32.1 to 1.238.63.2541.238.63.2558,190
1151.238.64.0/191.238.64.1 to 1.238.95.2541.238.95.2558,190
1161.238.96.0/191.238.96.1 to 1.238.127.2541.238.127.2558,190
1171.238.128.0/191.238.128.1 to 1.238.159.2541.238.159.2558,190
1181.238.160.0/191.238.160.1 to 1.238.191.2541.238.191.2558,190
1191.238.192.0/191.238.192.1 to 1.238.223.2541.238.223.2558,190
1201.238.224.0/191.238.224.1 to 1.238.255.2541.238.255.2558,190
1211.239.0.0/191.239.0.1 to 1.239.31.2541.239.31.2558,190
1221.239.32.0/191.239.32.1 to 1.239.63.2541.239.63.2558,190
1231.239.64.0/191.239.64.1 to 1.239.95.2541.239.95.2558,190
1241.239.96.0/191.239.96.1 to 1.239.127.2541.239.127.2558,190
1251.239.128.0/191.239.128.1 to 1.239.159.2541.239.159.2558,190
1261.239.160.0/191.239.160.1 to 1.239.191.2541.239.191.2558,190
1271.239.192.0/191.239.192.1 to 1.239.223.2541.239.223.2558,190
1281.239.224.0/191.239.224.1 to 1.239.255.2541.239.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses